import math

def load(list):
    print "Loading AI bindings"

    # binding format:
    # ( 'name of robot from .bot file', 'name of AI from script class',
    #       {'optional constructor parameter':value, 'another':value} )

    # constructor parameters:
    # nose - "front" of bot in radians (default 0)
    # invertible - can function upside-down (default False)
    # topspeed - speed in meters/second AI will attempt not to exceed (default 4.0)
    # throttle - maximum analog value AI will attempt not to exceed (default 100)
    # turnspeed - turning in radians/second AI will attempt not to exceed (default 2.5)
    # turn - maximum analog value AI will attempt not to exceed (default 60)
    # radius - bot radius to use for checking for hazards and walls (default 1.0)

    # 0 - CODE: RED "The new entropy"
    list.append(("Remix","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Stryfe","Omni",{'radius':0.1,'range':99,'topspeed':4,'throttle':130,'turn':20,'turnspeed':4.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Point Black Range","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':30,'weapons':(1,2,3,4,5,6)}))
    list.append(("AW-Little Pain","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("BW-Zap","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turnspeed':4,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("SHW-NEW BEGINNING","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))

    # 1 - Team Shadow "We attack at midnight. You won't even see us coming."
    list.append(("Tempest Mini","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Tempest","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Super Tempest","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'range':99,'turn':60,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("Treason","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,2)}))
    list.append(("MyX","Rammer",{'invertible':True,'radius':0.1,'topspeed':99,'throttle':130,'turn':20,'turnspeed':1}))
    list.append(("Indesoluable","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))

    # 2- Mission Impossible "Defeat or be defeated."
    list.append(("Blackout","Omni",{'radius':0.8,'topspeed':99,'throttle':130,'turnspeed':3.5,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))
    list.append(("Unnecassary Roughness","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turnspeed':3.5,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("YellowJacket","Omni",{'radius':0.8,'topspeed':99,'throttle':130,'turnspeed':3,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))
    list.append(("AW-No Logic","Rammer",{'invertible':True,'nose':math.pi/1,'radius':1.9,'topspeed':99,'throttle':4,'turn':60,'turnspeed':2.5}))
    list.append(("BW-WoodPecker","Omni",{'radius':0.8,'topspeed':99,'throttle':130,'turnspeed':3.5,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))
    list.append(("KILL-60","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3.5,'weapons':(1,2,3)}))

    # 3 - X! "X marks the spot... on your control board!"
    list.append(("Pestilance","Omni",{'radius':0.1,'range':99,'topspeed':4,'throttle':130,'turn':20,'turnspeed':4.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Proxy","Omni",{'turnspeed':1.75,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("MXOS","Omni",{'turnspeed':1.75,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("AW-Pike","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turnspeed':4,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("BW-Typhoon","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':60,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18)}))
    list.append(("Fe\/er","Rammer",{'invertible':True,'radius':1.9,'topspeed':4,'throttle':4,'turn':60,'turnspeed':2.5}))

    # 4 - THUNDER "Take cover. You do NOT want to witness the power of the storm."
    list.append(("Crossfire","Rammer",{'nose':-math.pi/1,'invertible':True,'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31)}))
    list.append(("Dark Sky","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Thunder Cloud 4","Omni",{'topspeed':99,'throttle':130,'radius':0.1,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))
    list.append(("AW-Bolt","Omni",{'nose':-math.pi/1,'radius':0.5,'topspeed':99,'throttle':130,'turn':40,'turnspeed':2.0,'range':99,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31)}))
    list.append(("Rolling Thunder","Omni",{'turnspeed':2.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("BLACK LIGHTNING CLONE","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
       
    # 5 - Team Priority "Where there was one, now there's six."
    list.append(("ERROR","Rammer",{'radius':1.0,'invertible':True,'topspeed':99,'throttle':130,'turn':30,'weapons':(16,17,18,19,20,21)}))
    list.append(("Envy","Omni",{'invertible':True,'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31)}))
    list.append(("PrIOritY","Omni",{'turnspeed':1.75,'topspeed':5,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("AW-AntiAnt","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31)}))
    list.append(("BW-Probe","Omni",{'invertible':True,'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31)}))
    list.append(("SHW-PrIOritY XL","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))

    # 6 - MC Bashers "Bashing fury"
    list.append(("Pacman","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Emerald Pain Wedge","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("INCOMING","Rammer",{'invertible':True,'radius':0.5,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40)}))
    list.append(("Summit","Omni",{'turnspeed':1.75,'topspeed':5,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("BW-Pyro","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Kenid","Rammer",{'invertible':True,'radius':0.1,'topspeed':99,'throttle':130,'turn':60,'turnspeed':2.5,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))

    # 7 - The Warning "Caution. You're about to witness the worst life experience ever."
    list.append(("Hep-Hazard","Spinner",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24)}))
    list.append(("Grey Bulb","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Incision","Bee",{'nose': math.pi/2,'whip':"around",'radius':0.1,'range':99,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32)}))
    list.append(("AW-Saw Knaw","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("BW-Little Piece of Crap","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Minerva","Omni",{'nose': math.pi/2,'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31)}))

    # 8 - POPP8D! "Spikes in your underside."
    list.append(("Hyperventilate","Spinner",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24)}))
    list.append(("CAUSE/EFFECT","Omni",{'nose': math.pi/1,'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Oscillator","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("I-BEAM","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Tanya!","Omni",{'nose': math.pi/1,'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Shark Attack","Spinner",{'nose': math.pi/2,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))

    # 9 - IMMORATLS "No bot can penetrate our future."
    list.append(("The Bot With Rabies","Omni",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("HELP!","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("DieHard","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'range':99,'weapons':(9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24)}))
    list.append(("Tyrant","Omni",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("HP","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("Tazer","Omni",{'nose': math.pi/1,'topspeed':99,'throttle':130,'radius':0.1,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))

    # 10 - Team 79 "XT"
    list.append(("Tiger","Omni",{'nose': math.pi/1,'radius':0.1,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12)}))
    list.append(("Blowout","Omni",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3,4,5,6)}))
    list.append(("Deranger","OmniRam",{'radius':0.1,'turnspeed':11,'topspeed':5,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("AW-Spitfire","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'range':99,'weapons':(1,)}))
    list.append(("In Plain Sight","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Bane","Rammer",{'invertible':True,'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39)}))

    # 11 - Crabby Crabz "With a Z"
    list.append(("Radiant Crab","Rammer",{'invertible':True,'range':99,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6)}))
    list.append(("Hazard-to-Game Crab","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Buzzard Crab","Omni",{'invertible':True,'radius':0.1,'topspeed':99,'throttle':130,'range':99,'turn':100,'turnspeed':9,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,129,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50)}))
    list.append(("Hostile Crab","Omni",{'radius':0.8,'topspeed':99,'throttle':130,'turnspeed':3.5,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))
    list.append(("Y-CRAB","Bee",{'nose': math.pi/2,'whip':"around",'radius':0.1,'range':99,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32)}))
    list.append(("King Crab","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))

    # 12 - Pit's Army "Forces of justice."
    list.append(("Shock","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("WAR Angel","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Defiant","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Pit X","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("BW-Flame","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("DEFIANCE","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))

    # 13 - AWKWARD "Don't know. These bots do not look familiar..."
    list.append(("R.A.G.E.","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Evader","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Vapor","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("WTF","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("BW-No-Leaf-Clover","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("SHW-Sabotage","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))

    # 14 - Feminine Rebellion "Not all love is kind."
    list.append(("Unquenchable 2","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Rose","Rammer",{'invertible':True,'range':99,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6)}))
    list.append(("Sweet Revenge","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("Ceceiliya","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("BW-Alina","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("JANE","OmniRam",{'range':99,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6)}))

    # 15 - The Remains "We were down, and have come back to seek revenge!"
    list.append(("Breaking Dawn","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3.5,'weapons':(1,2,3)}))
    list.append(("Testify","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Countdown","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("AW-Critical","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("BW-Saboteur","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3.5,'weapons':(1,2,3)}))
    list.append(("FreezeRay","Omni",{'nose': math.pi/1,'radius':.1,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46)}))

    # 16 - The Undergound "Death from below!"
    list.append(("The Grim","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3.5,'weapons':(1,2,3)}))
    list.append(("Fyre","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("MXOS 2","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("S<R>7","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Smart Bomb","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3.5,'weapons':(1,2,3)}))
    list.append(("HIGH VOLTAGE","Omni",{'nose': math.pi/1,'radius':.1,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46)}))

    # 17 - BLACK T3CH "Artificial Intelligence in black"
    list.append(("Trojan","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("AntiVirus","Omni",{'radius':0.1,'range':99,'topspeed':4,'throttle':130,'turn':20,'turnspeed':4.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Firewall","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':30,'weapons':(1,2,3,4,5,6)}))
    list.append(("AW-Hardrive","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("BW-Hack3d","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turnspeed':4,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("Transistor","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
